# Überprüfen, ob pyrightconfig.json existiert, wenn nicht, erstelle es mit dem angegebenen Inhalt
if [ ! -f "pyproject.toml" ]; then
    echo -e '[tool.pyright]\nvenv = ".venv"\nvenvPath = "."' >> pyproject.toml
fi

# Überprüfen, ob das Verzeichnis .venv existiert, wenn nicht, erstelle ein virtuelles Python-Umfeld
if [ ! -d ".venv" ]; then
    python3 -m venv .venv
fi

# Überprüfen, ob requirements.txt existiert, wenn nicht, erstelle eine leere Datei
if [ ! -f "requirements.txt" ]; then
    touch requirements.txt
fi

# Überprüfen, ob requirements.txt nicht leer ist, wenn nicht, installiere die Anforderungen
if [ -s "requirements.txt" ]; then
    ./.venv/bin/pip install -r requirements.txt
fi
